<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

namespace OSSolution\PaymentForm\Admin\Table;

use Joomla\CMS\Table\Table;

defined('_JEXEC') or die;

class Payment extends Table
{

	/**
	 * Constructor
	 *
	 * @param   \JDatabaseDriver  $db  Database connector object
	 *
	 */
	public function __construct(& $db)
	{
		parent::__construct('#__pf_payments', 'id', $db);
	}

	public function bind($src, $ignore = [])
	{
		$ret = parent::bind($src, $ignore);

		$inputFilter = \Joomla\CMS\Filter\InputFilter::getInstance();

		$amountFields = [
			'amount',
			'discount_amount',
			'tax_amount',
			'late_fee',
			'gross_amount',
			'payment_processing_fee',
		];

		foreach ($amountFields as $field)
		{
			$this->$field = $inputFilter->clean($this->$field, 'FLOAT');
		}

		return $ret;
	}
}
