<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

namespace OSSolution\PaymentForm\Site\View\Cancel;

use OSL\View\HtmlView;
use OSSolution\PaymentForm\Site\Helper\Helper as PMFormHelper;
use PMFormHelperBootstrap;

defined('_JEXEC') or die;

class Html extends HtmlView
{
	/**
	 * Indicate that this view doesn't have a model, so controller don't need to create it.
	 *
	 * @var bool
	 */
	public $hasModel = false;

	/**
	 * Display the view
	 */
	public function display()
	{
		$config      = PMFormHelper::getConfig();
		$db          = $this->container->db;
		$query       = $db->getQuery(true);
		$id          = $this->input->getInt('id', 0);
		$fieldSuffix = PMFormHelper::getFieldSuffix();
		$query->select('a.*')
			->from('#__pf_forms AS a')
			->innerJoin('#__pf_payments AS b ON a.id = b.form_id')
			->where('b.id = ' . $id);
		$db->setQuery($query);
		$form = $db->loadObject();

		if ($fieldSuffix)
		{
			PMFormHelper::prepareMultilingualMessages($config, ['cancel_message'], $fieldSuffix);
			PMFormHelper::prepareMultilingualMessages($form, ['cancel_message'], $fieldSuffix);
		}

		if (PMFormHelper::isValidMessage($form->cancel_message))
		{
			$this->message = $form->cancel_message;
		}
		else
		{
			$this->message = $config->cancel_message;
		}

		$this->bootstrapHelper = PMFormHelperBootstrap::getInstance();

		$this->setLayout('default');

		parent::display();
	}
}