<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

namespace OSSolution\PaymentForm\Site\View\Failure;

use OSL\View\HtmlView;
use OSSolution\PaymentForm\Site\Helper\Helper as PMFormHelper;
use PMFormHelperBootstrap;

defined('_JEXEC') or die;

class Html extends HtmlView
{
	/**
	 * Indicate that this view doesn't have a model, so controller don't need to create it.
	 *
	 * @var bool
	 */
	public $hasModel = false;

	/**
	 * Method to display the view
	 *
	 */
	public function display()
	{
		$db    = $this->container->db;
		$query = $db->getQuery(true);
		$id    = $this->input->getInt('id', 0);
		$query->select('form_id')
			->from('#__pf_payments')
			->where('id = ' . $id);
		$db->setQuery($query);
		$formId      = (int) $db->loadResult();
		$config      = PMFormHelper::getConfig();
		$fieldSuffix = PMFormHelper::getFieldSuffix();

		if ($fieldSuffix)
		{
			PMFormHelper::prepareMultilingualMessages($config, ['failure_message'], $fieldSuffix);
		}

		$formPageUrl = $this->container->session->get('form_page_url');

		if ($formPageUrl)
		{
			$link = base64_decode($formPageUrl);
		}
		else
		{
			$link = 'index.php?option=com_pmform&view=form&form_id=' . $formId . '&Itemid=' . $this->Itemid;
		}

		$reason = $this->input->getString('reason', '');

		if (!$reason)
		{
			$reason = $_SESSION['reason'];
		}

		if (!$reason)
		{
			$reason = $this->container->session->get('omnipay_payment_error_reason');
		}

		$this->reason          = $reason;
		$this->config          = $config;
		$this->link            = $link;
		$this->bootstrapHelper = PMFormHelperBootstrap::getInstance();

		$this->setLayout('default');

		parent::display();
	}
}