<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

?>
<div id="payment-failure-page" class="<?php echo $this->bootstrapHelper->getClassMapping('row-fluid');?> pf-container">
	<h1 class="title"><?php echo Text::_('PF_FAILURE'); ?></h1>
	<form id="os_form" class="form form-horizontal">
		<div class="control-group">
			<?php
			if (strlen(strip_tags($this->config->failure_message)))
			{
				echo $this->config->failure_message ;
			}
			else
			{
				echo  Text::_('PF_FAILURE_MESSAGE');
			}
			?>
		</div>
		<div class="control-group">
			<label class="control-label">
				<?php echo Text::_('PF_REASON'); ?>
			</label>
			<div class="controls">
				<?php echo $this->reason; ?>
			</div>
		</div>
		<?php
		if (isset($_SESSION['response_code']) && $_SESSION['response_code'] != '')
		{
		?>
			<div class="control-group">
				<label class="control-label">
					<?php echo Text::_('PF_RESPONSE_CODE'); ?>
				</label>
				<div class="controls">
					<?php echo $_SESSION['response_code'] ; ?>
				</div>
			</div>
		<?php
		}
		if (isset($_SESSION['response_text']) && $_SESSION['response_text'] != '')
		{
		?>
			<div class="control-group">
				<label class="control-label">
					<?php echo Text::_('PF_RESPONSE_TEXT'); ?>
				</label>
				<div class="controls">
					<?php echo $_SESSION['response_text'] ; ?>
				</div>
			</div>
		<?php
		}
		?>
		<div class="form-actions">
			<?php echo Text::_('PF_CLICK');?>&nbsp;<a href="<?php echo $this->link ?>"><?php echo Text::_('PF_HERE'); ?></a>&nbsp;<?php echo Text::_('PF_TRY_AGAIN'); ?>
		</div>
	</form>
</div>