<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

use Joomla\CMS\Language\Text;
use OSSolution\PaymentForm\Site\Helper\Helper as PMFormHelper;

/* @var $bootstrapHelper PMFormHelperBootstrap */
$bootstrapHelper   = $this->bootstrapHelper;
$controlGroupClass = $bootstrapHelper->getClassMapping('control-group');
$controlLabelClass = $bootstrapHelper->getClassMapping('control-label');
$controlsClass     = $bootstrapHelper->getClassMapping('controls');
$inputSmallClass   = $bootstrapHelper->getClassMapping('input-small') . $bootstrapHelper->getFrameworkClass('form-control', 1);
$inputMediumClass  = $bootstrapHelper->getClassMapping('input-medium');

if ($this->rowForm->enable_coupon)
{
?>
    <div class="<?php echo $controlGroupClass; ?>">
        <div class="<?php echo $controlLabelClass; ?>" for="coupon_code"><?php echo  Text::_('PF_COUPON') ?></div>
        <div class="<?php echo $controlsClass; ?>">
            <input type="text" class="input-medium<?php echo $bootstrapHelper->getFrameworkClass('uk-input', 1); ?>" name="coupon_code" id="coupon_code" value="<?php echo $this->input->get('coupon_code', '', 'none'); ?>" onchange="calculateFormFee();" />
            <span class="invalid" id="coupon_validate_msg" style="display: none;"><?php echo Text::_('PF_INVALID_COUPON'); ?></span>
        </div>
    </div>
<?php
}
?>
<div class="<?php echo $controlGroupClass; ?>">
	<div class="<?php echo $controlLabelClass; ?>">
		<?php echo Text::_('PF_TOTAL_AMOUNT'); ?>
	</div>
	<div class="<?php echo $controlsClass; ?>">
        <?php
            $input = '<input id="total_amount" type="text" readonly="readonly" class="' . $inputSmallClass . '" value="' . PMFormHelper::formatAmount($this->totalAmount, $this->config) . '" />';
            echo $bootstrapHelper->getPrependAddon($input, $this->config->currency_symbol);
        ?>
	</div>
</div>
<?php
if ($this->rowForm->enable_coupon || $this->rowForm->tax_rate > 0 || $this->discountAmount > 0 || $this->showPaymentFee)
{
	if ($this->rowForm->enable_coupon || $this->discountAmount > 0)
	{
	?>
		<div class="<?php echo $controlGroupClass; ?>">
			<div class="<?php echo $controlLabelClass; ?>">
				<?php echo Text::_('PF_DISCOUNT_AMOUNT'); ?>
			</div>
			<div class="<?php echo $controlsClass; ?>">
				<?php
                    $input = '<input id="discount_amount" type="text" readonly="readonly" class="' . $inputSmallClass . '" value="' . PMFormHelper::formatAmount($this->discountAmount, $this->config) . '" />';
                    echo $bootstrapHelper->getPrependAddon($input, $this->config->currency_symbol);
				?>
			</div>
		</div>
	<?php
	}

	if ($this->showPaymentFee)
	{
	?>
		<div class="<?php echo $controlGroupClass; ?>">
			<div class="<?php echo $controlLabelClass; ?>">
				<?php echo Text::_('PF_PAYMENT_FEE'); ?>
			</div>
			<div class="<?php echo $controlsClass; ?>">
				<?php
                    $input = '<input id="payment_processing_fee" type="text" readonly="readonly" class="' . $inputSmallClass . '" value="' . PMFormHelper::formatAmount($this->paymentProcessingFee, $this->config) . '" />';
                    echo $bootstrapHelper->getPrependAddon($input, $this->config->currency_symbol);
				?>
			</div>
		</div>
	<?php
	}

	if ($this->rowForm->tax_rate > 0)
	{
	?>
		<div class="<?php echo $controlGroupClass; ?>">
			<div class="<?php echo $controlLabelClass; ?>">
				<?php echo Text::_('PF_TAX_AMOUNT'); ?>
			</div>
			<div class="<?php echo $controlsClass; ?>">
				<?php
                    $input = '<input id="tax_amount" type="text" readonly="readonly" class="' . $inputSmallClass . '" value="' . PMFormHelper::formatAmount($this->taxAmount, $this->config) . '" />';
                    echo $bootstrapHelper->getPrependAddon($input, $this->config->currency_symbol);
				?>
			</div>
		</div>
	<?php
	}
	?>
	<div class="<?php echo $controlGroupClass; ?>">
		<div class="<?php echo $controlLabelClass; ?>">
			<?php echo Text::_('PF_GROSS_AMOUNT'); ?>
		</div>
		<div class="<?php echo $controlsClass; ?>">
			<?php
                $input = '<input id="gross_amount" type="text" readonly="readonly" class="' . $inputSmallClass . '" value="' . PMFormHelper::formatAmount($this->grossAmount, $this->config) . '" />';
                echo $bootstrapHelper->getPrependAddon($input, $this->config->currency_symbol);
			?>
		</div>
	</div>
	<?php
}