<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;

$actionUrl = Route::_('index.php?option=com_users&task=user.login');

/* @var $bootstrapHelper PMFormHelperBootstrap */
$bootstrapHelper     = $this->bootstrapHelper;
$formHorizontalClass = $bootstrapHelper->getClassMapping('form form-horizontal');
$rowFluidClass       = $bootstrapHelper->getClassMapping('row-fluid');
$controlGroupClass   = $bootstrapHelper->getClassMapping('control-group');
$controlLabelClass   = $bootstrapHelper->getClassMapping('control-label');
$controlsClass       = $bootstrapHelper->getClassMapping('controls');
$btnClass            = $bootstrapHelper->getClassMapping('btn');
$btnPrimaryClass     = $bootstrapHelper->getClassMapping('btn btn-primary');
?>
<form method="post" action="<?php echo $actionUrl ; ?>" name="jd-login-form" id="jd-login-form" autocomplete="off" class="<?php echo $formHorizontalClass; ?>">
	<h3 class="jd-heading"><?php echo Text::_('PF_EXISTING_USER_LOGIN'); ?></h3>
	<div class="<?php echo $controlGroupClass; ?>">
		<div class="<?php echo $controlLabelClass; ?>" for="username">
			<?php echo  Text::_('PF_USERNAME') ?><span class="required">*</span>
		</div>
		<div class="<?php echo $controlsClass; ?>">
			<input type="text" name="username" id="username" class="input-large validate[required]<?php echo $bootstrapHelper->getFrameworkClass('uk-input',1); ?>" value=""/>
		</div>
	</div>
	<div class="<?php echo $controlGroupClass; ?>">
		<div class="<?php echo $controlLabelClass; ?>" for="password">
			<?php echo  Text::_('PF_PASSWORD') ?><span class="required">*</span>
		</div>
		<div class="<?php echo $controlsClass; ?>">
			<input type="password" id="password" name="password" class="input-large validate[required]<?php echo $bootstrapHelper->getFrameworkClass('uk-input',1); ?>" value="" />
		</div>
	</div>
	<div class="<?php echo $controlGroupClass; ?>">
		<div class="<?php echo $controlsClass; ?>">
			<input type="submit" value="<?php echo Text::_('PF_LOGIN'); ?>" class="button <?php echo $btnPrimaryClass; ?>" />
		</div>
	</div>
	<h3 class="eb-heading"><?php echo Text::_('PF_NEW_USER_REGISTER'); ?></h3>
	<?php
	if (PluginHelper::isEnabled('system', 'remember'))
	{
	?>
		<input type="hidden" name="remember" value="1" />
	<?php
	}
	?>
	<input type="hidden" name="return" value="<?php echo base64_encode(Uri::getInstance()->toString()); ?>" />
	<?php echo HTMLHelper::_( 'form.token' ); ?>
</form>
