<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

use Joomla\CMS\Language\Text;

$stripePaymentMethod = null;

/* @var $bootstrapHelper PMFormHelperBootstrap */
$bootstrapHelper     = $this->bootstrapHelper;
$controlGroupClass   = $bootstrapHelper->getClassMapping('control-group');
$controlLabelClass   = $bootstrapHelper->getClassMapping('control-label');
$controlsClass       = $bootstrapHelper->getClassMapping('controls');

if (count($this->methods) > 1)
{
?>
	<div class="<?php echo $controlGroupClass; ?>  payment_information">
		<div class="<?php echo $controlLabelClass; ?>">
			<?php echo Text::_('PF_PAYMENT_OPTION'); ?>
			<span class="required">*</span>
		</div>
		<div class="<?php echo $controlsClass; ?>">
			<?php
			$method = null ;

			for ($i = 0 , $n = count($this->methods); $i < $n; $i++)
			{
				$paymentMethod = $this->methods[$i];

				if ($paymentMethod->getName() == $this->paymentMethod)
				{
					$checked = ' checked="checked" ';
					$method = $paymentMethod ;
				}
				else
				{
					$checked = '';
				}

				if (strpos($paymentMethod->getName(), 'os_stripe') !== false)
				{
					$stripePaymentMethod = $paymentMethod;
				}
				?>
				<label class="d-block">
					<input class="uk-radio" onclick="changePaymentMethod();" type="radio" name="payment_method" value="<?php echo $paymentMethod->getName(); ?>" <?php echo $checked; ?> />
					<?php
					if ($paymentMethod->iconUri)
					{
					?>
                        <img class="pmf-payment-method-icon clearfix" src="<?php echo $paymentMethod->iconUri; ?>" title="<?php echo Text::_($paymentMethod->getTitle()); ?>"  /> <br />
					<?php
					}
					else
					{
						echo Text::_($paymentMethod->getTitle()).' <br />';
					}
					?>
				</label>
				<?php
			}
			?>
		</div>
	</div>
<?php
}
else
{
	$method = $this->methods[0] ;

	if (strpos($method->getName(), 'os_stripe') !== false)
	{
		$stripePaymentMethod = $method;
	}
?>
	<div class="<?php echo $controlGroupClass; ?> payment_information">
		<div class="<?php echo $controlLabelClass; ?>">
			<?php echo Text::_('PF_PAYMENT_OPTION'); ?>
		</div>
		<div class="<?php echo $controlsClass; ?>">

			<?php
			if ($method->iconUri)
			{
			?>
                <img class="pmf-payment-method-icon clearfix" src="<?php echo $method->iconUri; ?>" title="<?php echo Text::_($method->getTitle()); ?>"  />
			<?php
			}
			else
			{
				echo Text::_($method->getTitle());
			}
			?>
		</div>
	</div>
<?php
}

if ($method->getName() == 'os_squareup')
{
	$style = '';
}
else
{
	$style = 'style = "display:none"';
}
?>
	<div class="<?php echo $controlGroupClass; ?> payment_information" id="sq_field_zipcode" <?php echo $style; ?>>
		<div class="<?php echo $controlLabelClass; ?>" for="sq_billing_zipcode">
			<?php echo Text::_('PMF_SQUAREUP_ZIPCODE'); ?><span class="required">*</span>
		</div>

		<div class="<?php echo $controlsClass; ?>" id="field_zip_input">
			<input type="text" id="sq_billing_zipcode" name="sq_billing_zipcode"
			       class="input-large<?php echo $bootstrapHelper->getFrameworkClass('uk-input',1); ?> form-control"
			       value="<?php echo $this->escape($this->input->getString('sq_billing_zipcode')); ?>" />
		</div>
	</div>
<?php
if ($method->getCreditCard())
{
	$style = '' ;
}
else
{
	$style = 'style = "display:none"';
}
?>
	<div class="<?php echo $controlGroupClass; ?> payment_information" id="tr_card_number" <?php echo $style; ?>>
		<div class="<?php echo $controlLabelClass; ?>"><?php echo  Text::_('AUTH_CARD_NUMBER'); ?><span class="required">*</span></div>
		<div class="<?php echo $controlsClass; ?>" id="sq-card-number">
			<input type="text" name="x_card_num" class="input-large form-control validate[required,creditCard]<?php echo $bootstrapHelper->getFrameworkClass('uk-input',1); ?>" onkeyup="checkNumber(this)" value="<?php echo $this->input->get('x_card_num', '', 'none'); ?>" size="20" />
		</div>
	</div>
	<div class="<?php echo $controlGroupClass; ?> payment_information" id="tr_exp_date" <?php echo $style; ?>>
		<div class="<?php echo $controlLabelClass; ?>">
			<?php echo Text::_('AUTH_CARD_EXPIRY_DATE'); ?><span class="required">*</span>
		</div>
		<div class="<?php echo $controlsClass; ?>" id="sq-expiration-date">
			<?php echo $this->lists['exp_month'] .'  /  '.$this->lists['exp_year'] ; ?>
		</div>
	</div>
	<div class="<?php echo $controlGroupClass; ?> payment_information" id="tr_cvv_code" <?php echo $style; ?>>
		<div class="<?php echo $controlLabelClass; ?>">
			<?php echo Text::_('AUTH_CVV_CODE'); ?><span class="required">*</span>
		</div>
		<div class="<?php echo $controlsClass; ?>" id="sq-cvv">
			<input type="text" name="x_card_code" class="input-large form-control validate[required,custom[number]]<?php echo $bootstrapHelper->getFrameworkClass('uk-input',1); ?>" value="<?php echo $this->input->get('x_card_code', '', 'none'); ?>" size="20" />
		</div>
	</div>
<?php
if ($method->getCardType())
{
	$style = '' ;
}
else
{
	$style = ' style = "display:none;" ' ;
}
?>
	<div class="<?php echo $controlGroupClass; ?> payment_information" id="tr_card_type" <?php echo $style; ?>>
		<div class="<?php echo $controlLabelClass; ?>">
			<?php echo Text::_('PF_CARD_TYPE'); ?><span class="required">*</span>
		</div>
		<div class="<?php echo $controlsClass; ?>">
			<?php echo $this->lists['card_type'] ; ?>
		</div>
	</div>
<?php
if ($method->getCardHolderName())
{
	$style = '' ;
}
else
{
	$style = ' style = "display:none;" ' ;
}
?>
<div class="<?php echo $controlGroupClass; ?> payment_information" id="tr_card_holder_name" <?php echo $style; ?>>
	<div class="<?php echo $controlLabelClass; ?>">
		<?php echo Text::_('PF_CARD_HOLDER_NAME'); ?><span class="required">*</span>
	</div>
	<div class="<?php echo $controlsClass; ?>">
		<input type="text" name="card_holder_name" class="input-large form-control validate[required]<?php echo $bootstrapHelper->getFrameworkClass('uk-input',1); ?>"  value="<?php echo $this->input->get('card_holder_name', '', 'none'); ?>" size="40" />
	</div>
</div>

<?php
if ($stripePaymentMethod !== null && method_exists($stripePaymentMethod, 'getParams'))
{
	/* @var os_stripe $stripePaymentMethod */
	$params = $stripePaymentMethod->getParams();
	$useStripeCardElement = $params->get('use_stripe_card_element', 0);


	if ($useStripeCardElement)
	{
		if ($method->getName() === 'os_stripe')
		{
			$style = '';
		}
		else
		{
			$style = ' style = "display:none;" ';
		}
		?>
        <div class="<?php echo $controlGroupClass; ?> payment_information" <?php echo $style; ?> id="stripe-card-form">
            <div class="<?php echo $controlLabelClass; ?>" for="stripe-card-element">
				<?php echo Text::_('PF_CREDIT_OR_DEBIT_CARD'); ?><span class="required">*</span>
            </div>
            <div class="<?php echo $controlsClass; ?>" id="stripe-card-element">

            </div>
        </div>
		<?php
	}
}