<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

use Joomla\CMS\Component\ComponentHelper;
use Joomla\CMS\Language\Text;

/* @var $bootstrapHelper PMFormHelperBootstrap */
$bootstrapHelper     = $this->bootstrapHelper;
$controlGroupClass   = $bootstrapHelper->getClassMapping('control-group');
$controlLabelClass   = $bootstrapHelper->getClassMapping('control-label');
$controlsClass       = $bootstrapHelper->getClassMapping('controls');

if (!$this->userId && $this->config->user_registration)
{
	$params        = ComponentHelper::getParams('com_users');
	$minimumLength = $params->get('minimum_length', 4);
	$minimumLength ? $minSize = "minSize[4]" : $minSize = "";

	if (!$this->config->show_login_box)
	{
	?>
        <h3 class="eb-heading"><?php echo Text::_('PF_ACCOUNT_INFORMATION'); ?></h3>
	<?php
	}
	?>
    <div class="<?php echo $controlGroupClass; ?>">
        <div class="<?php echo $controlLabelClass; ?>" for="username1">
			<?php echo Text::_('PF_USERNAME') ?><span class="required">*</span>
        </div>
        <div class="<?php echo $controlsClass; ?>">
            <input type="text" name="username" id="username1" class="input-large validate[required,ajax[ajaxUserCall]]<?php echo $bootstrapHelper->getFrameworkClass('uk-input',1); ?>"
                   value="<?php echo $this->input->get('username', '', 'string'); ?>"/>
        </div>
    </div>
    <div class="<?php echo $controlGroupClass; ?>">
        <div class="<?php echo $controlLabelClass; ?>" for="password1">
			<?php echo Text::_('PF_PASSWORD') ?><span class="required">*</span>
        </div>
        <div class="<?php echo $controlsClass; ?>">
            <input type="password" name="password1" id="password1"
                   class="input-large validate[required,<?php echo $minSize; ?>]<?php echo $bootstrapHelper->getFrameworkClass('uk-input',1); ?>" value=""/>
        </div>
    </div>
    <div class="<?php echo $controlGroupClass; ?>">
        <div class="<?php echo $controlLabelClass; ?>" for="password2">
			<?php echo Text::_('PF_RETYPE_PASSWORD') ?><span class="required">*</span>
        </div>
        <div class="<?php echo $controlsClass; ?>">
            <input type="password" name="password2" id="password2"
                   class="input-large validate[required,equals[password1]]<?php echo $bootstrapHelper->getFrameworkClass('uk-input',1); ?>" value=""/>
        </div>
    </div>
	<?php
}

