<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use OSSolution\PaymentForm\Site\Helper\Jquery as PMFormHelperJQuery;

$articleId = $this->rowForm->article_id > 0 ? $this->rowForm->article_id : $this->config->article_id;

/* @var $bootstrapHelper PMFormHelperBootstrap */
$bootstrapHelper     = $this->bootstrapHelper;
$controlGroupClass   = $bootstrapHelper->getClassMapping('control-group');

if ($this->config->active_term == 1 && $articleId > 0)
{
    PMFormHelperJQuery::colorbox();

    Factory::getDocument()->addScriptDeclaration('
        (function (document, $) {
            $(document).ready(function () {
                $("a.pf-modal").colorbox({width: "80%", height: "80%"});
            });
        })(document, PMF.jQuery);        
    ');

	//Terms and Conditions
	JLoader::register('ContentHelperRoute', JPATH_ROOT . '/components/com_content/helpers/route.php');

	$termLink = Route::_(ContentHelperRoute::getArticleRoute($articleId) . '&tmpl=component&format=html');
	$extra    = ' class="pf-modal" ';
	?>
    <div class="<?php echo $controlGroupClass; ?>" id="field-accept-term">
        <label class="checkbox">
            <input type="checkbox" name="accept_term" value="1" class="validate[required]<?php echo $bootstrapHelper->getFrameworkClass('uk-checkbox',1); ?>"
                   data-errormessage="<?php echo Text::_('PF_ACCEPT_TERMS'); ?>"/>
			<?php echo Text::_('PF_ACCEPT'); ?>&nbsp;
			<?php
			echo "<a class=\"pf-modal\" href=\"$termLink\">" . "<strong>" . Text::_('PF_TERM_AND_CONDITION') . "</strong>" . "</a>\n";
			?>
        </label>
    </div>
	<?php
}