<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

namespace OSSolution\PaymentForm\Site\View\Forms;

use OSL\View\ListView;
use OSSolution\PaymentForm\Site\Helper\Helper as PMFormHelper;
use PMFormHelperBootstrap;
use Joomla\Registry\Registry;

defined('_JEXEC') or die;

class Html extends ListView
{
	protected function beforeRender()
	{
		parent::beforeRender();

		$active = $this->container->app->getMenu()->getActive();

		if ($active)
		{
			$params = PMFormHelper::getViewParams($active, 'forms');
			$this->setDocumentMetadata($params);
		}
		else
		{
			$params = new Registry;
		}

		$this->config          = PMFormHelper::getConfig();
		$this->bootstrapHelper = PMFormHelperBootstrap::getInstance();
		$this->params          = $params;
	}
}