<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

?>
<h1 class="title"><?php echo Text::_('PF_FORM_LIST'); ?></h1>
<?php
    if (PMFormHelper::isValidMessage($this->params->get('intro_text')))
    {
        echo $this->params->get('intro_text');
    }
?>
<table class="<?php echo $this->bootstrapHelper->getClassMapping('table table-bordered table-striped'); ?> table-condensed">
	<thead>
	<tr>
		<th>
			<?php echo Text::_('PF_TITLE'); ?>
		</th>
        <?php
            if ($this->params->get('show_amount_column', 1))
            {
            ?>
                <th width="12%">
		            <?php echo Text::_('PF_AMOUNT'); ?>
                </th>
            <?php
            }
        ?>
	</tr>
	</thead>
	<tbody>
	<?php
	for ($i = 0, $n = count($this->items); $i < $n; $i++)
	{
		$row = $this->items[$i];

		if ($this->config->use_https)
		{
			$paymentLink = Route::_('index.php?option=com_pmform&view=form&form_id=' . $row->id . '&Itemid=' . $this->Itemid, false, 1);
		}
		else
		{
			$paymentLink = Route::_('index.php?option=com_pmform&view=form&form_id=' . $row->id . '&Itemid=' . $this->Itemid, false);
		}
		?>
		<tr>
			<td>
				<a href="<?php echo $paymentLink; ?>"><?php echo $row->title; ?></a>
			</td>
            <?php
                if ($this->params->get('show_amount_column', 1))
                {
                ?>
                    <td>
		                <?php echo PMFormHelper::formatCurrency($row->amount, $this->config, $row->currency_symbol); ?>
                    </td>
                <?php
                }
            ?>
		</tr>
	<?php
	}
	?>
	</tbody>
	<?php
	if ($this->pagination->total > $this->pagination->limit)
	{
	?>
		<tfoot>
			<tr>
				<td <?php if ($this->params->get('show_amount_column')) echo 'colspan="2"';?>>
					<div class="pagination"><?php echo $this->pagination->getListFooter(); ?></div>
				</td>
			</tr>
		</tfoot>
	<?php
	}
	?>
</table>