<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

use Joomla\CMS\Language\Text;
use OSSolution\PaymentForm\Site\Helper\PaymentMethods as PaymentMethodsHelper;

defined('_JEXEC') or die;
?>
<style>
	<?php echo $css ; ?>
</style>
<table width="100%">
	<tr>
		<td class="title_cell" width="25%">
			<?php echo Text::_('PF_FORM'); ?>
		</td>
		<td>
			<?php echo $formTitle; ?>
		</td>
	</tr>
	<?php
	if (isset($username))
	{
	?>
		<tr>
			<td class="title_cell" width="35%">
				<?php echo  Text::_('PF_USERNAME') ?>
			</td>
			<td class="field_cell">
				<?php echo $username; ?>
			</td>
		</tr>
	<?php
	}

	if (isset($password) && !$toAdmin)
	{
	?>
		<tr>
			<td class="title_cell" width="35%">
				<?php echo  Text::_('PF_PASSWORD') ?>
			</td>
			<td class="field_cell">
				<?php echo $password; ?>
			</td>
		</tr>
	<?php
	}

	if (isset($couponCode))
	{
	?>
		<tr>
			<td class="title_cell">
				<?php echo Text::_('PF_COUPON'); ?>
			</td>
			<td>
				<?php echo $couponCode; ?>
			</td>
		</tr>
	<?php
	}

	if ($enterAmount && $row->amount == $row->total_amount)
	{
		$form->removeField('amount');
	}

	$fields = $form->getFields();

	foreach ($fields as $field)
    {
        if (!$field->row->show_on_email)
        {
            continue;
        }

	    echo $field->getOutput(false);
    }

	if ($row->total_amount > 0)
	{
	?>
		<tr>
			<td class="title_cell">
				<?php echo Text::_('PF_TOTAL_AMOUNT'); ?>
			</td>
			<td>
				<?php echo PMFormHelper::formatCurrency($row->total_amount, $config); ?>
			</td>
		</tr>
		<?php
		if ($row->discount_amount > 0 || $row->tax_amount > 0 || $row->payment_processing_fee > 0)
		{
			if ($row->discount_amount > 0)
			{
			?>
				<tr>
					<td class="title_cell">
						<?php echo Text::_('PF_COUPON_DISCOUNT'); ?>
					</td>
					<td>
						<?php echo PMFormHelper::formatCurrency($row->discount_amount, $config); ?>
					</td>
				</tr>
			<?php
			}

			if ($row->tax_amount > 0)
			{
			?>
				<tr>
					<td class="title_cell">
						<?php echo Text::_('PF_TAX_AMOUNT'); ?>
					</td>
					<td>
						<?php echo PMFormHelper::formatCurrency($row->tax_amount, $config); ?>
					</td>
				</tr>
			<?php
			}

			if ($row->payment_processing_fee > 0)
			{
			?>
				<tr>
					<td class="title_cell">
						<?php echo Text::_('PF_PAYMENT_FEE'); ?>
					</td>
					<td>
						<?php echo PMFormHelper::formatCurrency($row->payment_processing_fee, $config); ?>
					</td>
				</tr>
			<?php
			}
			?>
				<tr>
					<td class="title_cell">
						<?php echo Text::_('PF_GROSS_AMOUNT'); ?>
					</td>
					<td>
						<?php echo PMFormHelper::formatCurrency($row->gross_amount, $config); ?>
					</td>
				</tr>
			<?php
		}
		if ($row->total_amount > 0 || $row->gross_amount > 0)
		{
			$method = PaymentMethodsHelper::getPaymentMethod($row->payment_method);

			if ($method)
			{
			?>
				<tr>
					<td class="title_cell">
						<?php echo Text::_('PF_PAYMENT_OPTION');?>
					</td>
					<td>
						<?php echo Text::_($method->getTitle()); ?>
					</td>
				</tr>
			<?php
			}
			?>
			<tr>
				<td class="title_cell">
					<?php echo Text::_('PF_TRANSACTION_ID');?>
				</td>
				<td>
					<?php echo $row->transaction_id; ?>
				</td>
			</tr>
		<?php
		}

		if (!empty($voucherCode))
		{
		?>
            <tr>
                <td class="title_cell">
					<?php echo Text::_('PF_VOUCHER_CODE'); ?>
                </td>
                <td class="field_cell">
					<?php echo $voucherCode ; ?>
                </td>
            </tr>
		<?php
		}
	}
	?>
</table>