<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die;

$size          = (int) $row->size ?: 1;
$span          = intval(12 / $size);
$i             = 0;
$numberOptions = count($options);

$rowFluid        = $bootstrapHelper ? $bootstrapHelper->getClassMapping('row-fluid') : 'row-fluid';
$spanClass       = $bootstrapHelper ? $bootstrapHelper->getClassMapping('span' . $span) : 'span' . $span;
$clearFixClass   = $bootstrapHelper ? $bootstrapHelper->getClassMapping('clearfix') : 'clearfix';
$ukFieldsetClass = $bootstrapHelper ? $bootstrapHelper->getFrameworkClass('uk-fieldset', 2) : '';
?>
<fieldset id="<?php echo $name; ?>" class="<?php echo $ukFieldsetClass . $clearFixClass; ?> pf-checkboxes-contaier">
    <div class="<?php echo $rowFluid . ' ' . $clearFixClass; ?>">
		<?php
		foreach ($options as $option)
		{
            if (isset($optionsText[$i]))
            {
                $optionText = $optionsText[$i];
            }
            else
            {
	            $optionText = $option;
            }

            $i++;
            $checked = in_array($option, $selectedOptions) ? 'checked' : '';
            ?>
                <div class="<?php echo $spanClass ?>">
                    <label class="checkbox">
                        <input type="checkbox" class="form-check-input" id="<?php echo $name.$i; ?>"
                               name="<?php echo $name; ?>[]"
                               value="<?php echo htmlspecialchars($option, ENT_COMPAT, 'UTF-8') ?>"
                            <?php echo $checked.$attributes; ?>
                        /><?php echo $optionText; ?>
                    </label>
                </div>
            <?php
            if ($i % $size == 0 && $i < $numberOptions)
            {
            ?>
                </div>
                <div class="<?php echo $rowFluid . ' ' . $clearFixClass; ?>">
            <?php
            }
		}
		?>
    </div>
</fieldset>
