<?php
/**
 * @version            5.0.0
 * @package            Joomla
 * @subpackage         Payment Form
 * @author             Tuan Pham Ngoc
 * @copyright          Copyright (C) 2010 - 2021 Ossolution Team
 * @license            GNU/GPL, see LICENSE.php
 */

use Joomla\CMS\Factory;
use Joomla\CMS\Router\Route;
use OSSolution\PaymentForm\Site\Helper\Helper as PMFormHelper;

defined('_JEXEC') or die;

class os_offline extends POSFPayment
{
	/**
	 * Constructor
	 *
	 * @param   \Joomla\Registry\Registry  $params
	 * @param   array                      $config
	 */
	public function __construct($params, $config = [])
	{
		parent::__construct($params, $config);
	}

	/**
	 * Process payment
	 *
	 */
	public function processPayment($row, $data)
	{
		$app    = Factory::getApplication();
		$Itemid = $app->input->getInt('Itemid');

		$config = PMFormHelper::getConfig();
		PMFormHelper::sendEmails($row, $config);

		$url = Route::_('index.php?option=com_pmform&view=complete&id=' . $row->id . '&Itemid=' . $Itemid, false, false);
		$app->redirect($url);
	}
}