<?php
/**
 * @version        6.2.0
 * @package        Joomla
 * @subpackage     Payment Form
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2010 - 2021 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die;

use Joomla\CMS\Factory;

// Fix PayPal IPN sending to wrong URL
if (!empty($_POST['txn_type']) && empty($_REQUEST['task']) && empty($_REQUEST['view']))
{
	$_REQUEST['task']           = 'payment_confirm';
	$_REQUEST['payment_method'] = 'os_paypal';
}

// Bootstrap the component
require_once JPATH_ADMINISTRATOR . '/components/com_pmform/init.php';

// Get component config data
$config = require JPATH_ADMINISTRATOR . '/components/com_pmform/config.php';

// Set default view for frontend
$config['defaultView'] = 'forms';

// Creating component container
$container = OSL\Container\Container::getInstance('com_pmform', $config);

// Create controller, execute the request and redirect to re requested page if it is set
$controller = OSL\Controller\Controller::getInstance($container);
$controller->execute()
	->redirect();